KD Chart 2: KDChart::ThreeDLineAttributes Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::ThreeDLineAttributes Class Reference

`#include <KDChartThreeDLineAttributes.h>`

Inheritance diagram for KDChart::ThreeDLineAttributes:

[legend]
Collaboration diagram for KDChart::ThreeDLineAttributes:

[legend]
List of all members.

## Detailed Description

A set of 3D line attributes.

Definition at line 38 of file KDChartThreeDLineAttributes.h.

## Public Member Functions
double | depth () const
bool | isEnabled () const
uint | lineXRotation () const
uint | lineYRotation () const
bool | operator!= (const AbstractThreeDAttributes &other) const
bool | operator!= (const ThreeDLineAttributes &other) const
ThreeDLineAttributes & | operator= (const ThreeDLineAttributes &)
bool | operator== (const AbstractThreeDAttributes &) const
bool | operator== (const ThreeDLineAttributes &) const
void | setDepth (double depth)
void | setEnabled (bool enabled)
void | setLineXRotation (const uint degrees)
void | setLineYRotation (const uint degrees)
| ThreeDLineAttributes (const ThreeDLineAttributes &)
| ThreeDLineAttributes ()
double | validDepth () const
| ~ThreeDLineAttributes ()

## Constructor & Destructor Documentation

ThreeDLineAttributes::ThreeDLineAttributes | ( |  | ) |

Definition at line 44 of file KDChartThreeDLineAttributes.cpp.

    00045     : AbstractThreeDAttributes( new Private() )
    00046 {
    00047
    00048 }

ThreeDLineAttributes::ThreeDLineAttributes | ( | const ThreeDLineAttributes & |  | ) |

Definition at line 50 of file KDChartThreeDLineAttributes.cpp.

    00051     : AbstractThreeDAttributes( new Private( *r.d) )
    00052 {
    00053 }

ThreeDLineAttributes::~ThreeDLineAttributes | ( |  | ) |

Definition at line 65 of file KDChartThreeDLineAttributes.cpp.

    00066 {
    00067 }

## Member Function Documentation

double AbstractThreeDAttributes::depth | ( |  | ) | const`[inherited]`

Definition at line 103 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), and KDChart::PieDiagram::paint().

    00104 {
    00105     return d->depth;
    00106 }

bool AbstractThreeDAttributes::isEnabled | ( |  | ) | const`[inherited]`

Definition at line 92 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), KDChart::PieDiagram::paint(), and KDChart::AbstractThreeDAttributes::validDepth().

    00093 {
    00094     return d->enabled;
    00095 }

uint ThreeDLineAttributes::lineXRotation | ( |  | ) | const

Definition at line 88 of file KDChartThreeDLineAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00089 {
    00090     return d->lineXRotation;
    00091 }

uint ThreeDLineAttributes::lineYRotation | ( |  | ) | const

Definition at line 98 of file KDChartThreeDLineAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00099 {
    00100     return d->lineYRotation;
    00101 }

bool KDChart::AbstractThreeDAttributes::operator!= | ( | const AbstractThreeDAttributes & | other | ) | const`[inherited]`

Definition at line 60 of file KDChartAbstractThreeDAttributes.h.

    00060 { return !operator==(other); }

bool KDChart::ThreeDLineAttributes::operator!= | ( | const ThreeDLineAttributes & | other | ) | const

Definition at line 54 of file KDChartThreeDLineAttributes.h.

    00054 { return !operator==(other); }

ThreeDLineAttributes & ThreeDLineAttributes::operator= | ( | const ThreeDLineAttributes & |  | ) |

Definition at line 55 of file KDChartThreeDLineAttributes.cpp.

References d.

    00056 {
    00057     if( this == &r )
    00058         return *this;
    00059
    00060     *d = *r.d;
    00061
    00062     return *this;
    00063 }

bool AbstractThreeDAttributes::operator== | ( | const AbstractThreeDAttributes & |  | ) | const`[inherited]`

Definition at line 72 of file KDChartAbstractThreeDAttributes.cpp.

References KDChart::AbstractThreeDAttributes::depth(), and KDChart::AbstractThreeDAttributes::isEnabled().

Referenced by KDChart::ThreeDPieAttributes::operator==(), operator==(), and KDChart::ThreeDBarAttributes::operator==().

    00073 {
    00074     if( isEnabled() == r.isEnabled() &&
    00075         depth() == r.depth() )
    00076         return true;
    00077     else
    00078         return false;
    00079 }

bool ThreeDLineAttributes::operator== | ( | const ThreeDLineAttributes & |  | ) | const

Definition at line 74 of file KDChartThreeDLineAttributes.cpp.

References lineXRotation(), lineYRotation(), and KDChart::AbstractThreeDAttributes::operator==().

    00075 {
    00076     return ( lineXRotation() == r.lineXRotation() &&
    00077              lineYRotation() == r.lineYRotation() &&
    00078              AbstractThreeDAttributes::operator==(r));
    00079 }

void AbstractThreeDAttributes::setDepth | ( | double | depth | ) | `[inherited]`

Definition at line 97 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00098 {
    00099     d->depth = depth;
    00100 }

void AbstractThreeDAttributes::setEnabled | ( | bool | enabled | ) | `[inherited]`

Definition at line 87 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00088 {
    00089     d->enabled = enabled;
    00090 }

void ThreeDLineAttributes::setLineXRotation | ( | const uint | degrees | ) |

Definition at line 83 of file KDChartThreeDLineAttributes.cpp.

References d.

    00084 {
    00085     d->lineXRotation = degrees;
    00086 }

void ThreeDLineAttributes::setLineYRotation | ( | const uint | degrees | ) |

Definition at line 93 of file KDChartThreeDLineAttributes.cpp.

References d.

    00094 {
    00095     d->lineYRotation = degrees;
    00096 }

double AbstractThreeDAttributes::validDepth | ( |  | ) | const`[inherited]`

Definition at line 109 of file KDChartAbstractThreeDAttributes.cpp.

References d, and KDChart::AbstractThreeDAttributes::isEnabled().

Referenced by KDChart::Plotter::threeDItemDepth(), KDChart::LineDiagram::threeDItemDepth(), and KDChart::BarDiagram::threeDItemDepth().

    00110 {
    00111     return isEnabled() ? d->depth : 0.0;
    00112 }

The documentation for this class was generated from the following files:

- KDChartThreeDLineAttributes.h
- KDChartThreeDLineAttributes.cpp